# Type alias GuardianSetUpgradeStructOutput

GuardianSetUpgradeStructOutput: [module: string, action: bigint, chain: bigint, newGuardianSet: GuardianSetStructOutput, newGuardianSetIndex: bigint] & {
action: bigint;
chain: bigint;
module: string;
newGuardianSet: GuardianSetStructOutput;
newGuardianSetIndex: bigint;
}

#### Type declaration

- ##### action: bigint

- ##### chain: bigint

- ##### module: string

- ##### newGuardianSet: GuardianSetStructOutput

- ##### newGuardianSetIndex: bigint

- Defined in ethers-contracts/Implementation.ts:115

Generated using TypeDoc